curl --request GET \
--url https://api.example.com/api/v1/templates/ \
--header 'Authorization: Bearer <token>'{
"templates": [
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}List all templates for the authenticated user.
Args: current_user: Authenticated user information service: Campaign service instance page: Page number (1-indexed) page_size: Items per page (max 100)
Returns: Paginated list of templates
curl --request GET \
--url https://api.example.com/api/v1/templates/ \
--header 'Authorization: Bearer <token>'{
"templates": [
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"total": 123
}Documentation Index
Fetch the complete documentation index at: https://bavlio.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Page number
x >= 1Items per page
1 <= x <= 100